<?php

namespace Application\Models;

use Doctrine\ORM\Mapping as ORM;

/**
 * Profil
 *
 * @ORM\Table(name="profil")
 * @ORM\Entity
 */
class Profil
{
    /**
     * @var integer
     *
     * @ORM\Column(name="IDPROFIL", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idprofil;

    /**
     * @var string
     *
     * @ORM\Column(name="NOM", type="string", length=255, nullable=true)
     */
    private $nom;

    /**
     * @var integer
     *
     * @ORM\Column(name="CAISSIER", type="smallint", nullable=true)
     */
    private $caissier;

    /**
     * @var integer
     *
     * @ORM\Column(name="STATUT", type="smallint", nullable=true)
     */
    private $statut;



    /**
     * Get idprofil
     *
     * @return integer 
     */
    public function getIdprofil()
    {
        return $this->idprofil;
    }

    /**
     * Set nom
     *
     * @param string $nom
     * @return Profil
     */
    public function setNom($nom)
    {
        $this->nom = $nom;
    
        return $this;
    }

    /**
     * Get nom
     *
     * @return string 
     */
    public function getNom()
    {
        return $this->nom;
    }

    /**
     * Set caissier
     *
     * @param integer $caissier
     * @return Profil
     */
    public function setCaissier($caissier)
    {
        $this->caissier = $caissier;
    
        return $this;
    }

    /**
     * Get caissier
     *
     * @return integer 
     */
    public function getCaissier()
    {
        return $this->caissier;
    }

    /**
     * Set statut
     *
     * @param integer $statut
     * @return Profil
     */
    public function setStatut($statut)
    {
        $this->statut = $statut;
    
        return $this;
    }

    /**
     * Get statut
     *
     * @return integer 
     */
    public function getStatut()
    {
        return $this->statut;
    }
}